<?xml version="1.0" encoding="UTF-8"?>
<definitions
   name="ASTROBookStore"
   targetNamespace="http://j2ee.netbeans.org/wsdl/ASTROBookStore/ASTROBookStore"
    xmlns="http://schemas.xmlsoap.org/wsdl/"
    xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
    xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
    xmlns:tns="http://j2ee.netbeans.org/wsdl/ASTROBookStore/ASTROBookStore"
    xmlns:vprop="http://docs.oasis-open.org/wsbpel/2.0/varprop"
    xmlns:plnk="http://docs.oasis-open.org/wsbpel/2.0/plnktype"
    xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/">
    <types/>
<message name="confirmErrorMsg">
    <part name="key" type="xsd:string"/>
    <part name="error" type="xsd:string"/>
  </message>
  <message name="loginErrorMsg">
    <part name="key" type="xsd:string"/>
  </message>
  <message name="searchMsg">
    <part name="key" type="xsd:string"/>
    <part name="keyword" type="xsd:string"/>
    <part name="author" type="xsd:string"/>
    <part name="publisher" type="xsd:string"/>
    <part name="title" type="xsd:string"/>
  </message>
  <message name="requestSubmittedMsg">
    <part name="transactionId" type="xsd:string"/>
    <part name="key" type="xsd:string"/>
  </message>
  <message name="addMsg">
    <part name="key" type="xsd:string"/>
    <part name="ASIN" type="xsd:string"/>
    <part name="quantity" type="xsd:positiveInteger"/>
  </message>
  <message name="checkoutErrorMsg">
    <part name="key" type="xsd:string"/>
    <part name="error" type="xsd:string"/>
  </message>
  <message name="checkoutAckMsg">
    <part name="key" type="xsd:string"/>
    <part name="SubTotal" type="xsd:string"/>
    <part name="paymentURL" type="xsd:string"/>
  </message>
  <message name="loginMsg">
    <part name="customerId" type="xsd:string"/>
    <part name="key" type="xsd:string"/>
  </message>
  <message name="loginAckMsg">
    <part name="key" type="xsd:string"/>
  </message>
  <message name="searchErrorMsg">
    <part name="key" type="xsd:string"/>
    <part name="error" type="xsd:string"/>
  </message>
  <message name="searchResultMsg">
    <part name="key" type="xsd:string"/>
    <part name="numItems" type="xsd:nonNegativeInteger"/>
    <part name="ASIN" type="xsd:string"/>
    <part name="detailPageURL" type="xsd:string"/>
    <part name="author" type="xsd:string"/>
    <part name="title" type="xsd:string"/>
    <part name="publisher" type="xsd:string"/>
    <part name="ISBN" type="xsd:string"/>
    <part name="price" type="xsd:string"/>
  </message>
  <message name="checkoutMsg">
    <part name="key" type="xsd:string"/>
  </message>
  <message name="logoutMsg">
    <part name="key" type="xsd:string"/>
  </message>
  <message name="addErrorMsg">
    <part name="key" type="xsd:string"/>
    <part name="error" type="xsd:string"/>
  </message>
  <message name="addAckMsg">
    <part name="key" type="xsd:string"/>
    <part name="SubTotal" type="xsd:string"/>
  </message>
  <message name="sentMsg">
    <part name="key" type="xsd:string"/>
    <part name="transactionAuthorization" type="xsd:string"/>
    <part name="transactionDate" type="xsd:string"/>
    <part name="transactionTime" type="xsd:string"/>
  </message>
 



 <portType name="ASTROBookStore_CallbackPT">
    <operation name="searchResult">
      <input message="tns:searchResultMsg"/>
    </operation>
    <operation name="searchError">
      <input message="tns:searchErrorMsg"/>
    </operation>
    <operation name="loginAck">
      <input message="tns:loginAckMsg"/>
    </operation>
    <operation name="loginError">
      <input message="tns:loginErrorMsg"/>
    </operation>
    <operation name="addAck">
      <input message="tns:addAckMsg"/>
    </operation>
    <operation name="addError">
      <input message="tns:addErrorMsg"/>
    </operation>
    <operation name="checkoutAck">
      <input message="tns:checkoutAckMsg"/>
    </operation>
    <operation name="checkoutError">
      <input message="tns:checkoutErrorMsg"/>
    </operation>
    <operation name="sent">
      <input message="tns:sentMsg"/>
    </operation>
    <operation name="confirmError">
      <input message="tns:confirmErrorMsg"/>
    </operation>
  </portType>
  

<portType name="ASTROBookStore_PT">
    <operation name="login">
      <input message="tns:loginMsg"/>
    </operation>
    <operation name="search">
      <input message="tns:searchMsg"/>
    </operation>
    <operation name="add">
      <input message="tns:addMsg"/>
    </operation>
    <operation name="logout">
      <input message="tns:logoutMsg"/>
    </operation>
    <operation name="checkout">
      <input message="tns:checkoutMsg"/>
    </operation>
    <operation name="requestSubmitted">
      <input message="tns:requestSubmittedMsg"/>
    </operation>
  </portType>

<plnk:partnerLinkType name="ASTROBookStore_PLT">
   <plnk:role name="ASTROBookStore_Customer" portType="tns:ASTROBookStore_CallbackPT"/>
   <plnk:role name="ASTROBookStore_Service" portType="tns:ASTROBookStore_PT"/>
</plnk:partnerLinkType>

<vprop:property name="key" type="xsd:string"/>
<vprop:propertyAlias messageType="tns:searchMsg" part="key" propertyName="tns:key"/>
<vprop:propertyAlias messageType="tns:searchResultMsg" part="key" propertyName="tns:key"/>
<vprop:propertyAlias messageType="tns:requestSubmittedMsg" part="key" propertyName="tns:key"/>
<vprop:propertyAlias messageType="tns:searchErrorMsg" part="key" propertyName="tns:key"/>
<vprop:propertyAlias messageType="tns:loginMsg" part="key" propertyName="tns:key"/>
<vprop:propertyAlias messageType="tns:loginAckMsg" part="key" propertyName="tns:key"/>
<vprop:propertyAlias messageType="tns:loginErrorMsg" part="key" propertyName="tns:key"/>
<vprop:propertyAlias messageType="tns:logoutMsg" part="key" propertyName="tns:key"/>
<vprop:propertyAlias messageType="tns:addMsg" part="key" propertyName="tns:key"/>
<vprop:propertyAlias messageType="tns:addAckMsg" part="key" propertyName="tns:key"/>
<vprop:propertyAlias messageType="tns:addErrorMsg" part="key" propertyName="tns:key"/>
<vprop:propertyAlias messageType="tns:checkoutMsg" part="key" propertyName="tns:key"/>
<vprop:propertyAlias messageType="tns:checkoutAckMsg" part="key" propertyName="tns:key"/>
<vprop:propertyAlias messageType="tns:checkoutErrorMsg" part="key" propertyName="tns:key"/>
<vprop:propertyAlias messageType="tns:sentMsg" part="key" propertyName="tns:key"/>
<vprop:propertyAlias messageType="tns:confirmErrorMsg" part="key" propertyName="tns:key"/>



   <binding name="ASTROBookStore_PLTServiceBinding" type="tns:ASTROBookStore_PT">
      <soap:binding style="rpc" transport="http://schemas.xmlsoap.org/soap/http" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
      
       <operation name="login">
       <soap:operation soapAction="" style="rpc" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         <input>
        <soap:body encodingStyle="" namespace="http://astroproject.org/BusinessProcesses/ASTROBookStore" use="literal" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         </input>
      </operation>
      
       <operation name="search">
       <soap:operation soapAction="" style="rpc" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         <input>
        <soap:body encodingStyle="" namespace="http://astroproject.org/BusinessProcesses/ASTROBookStore" use="literal" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         </input>
      </operation>

      <operation name="add">
       <soap:operation soapAction="" style="rpc" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         <input>
        <soap:body encodingStyle="" namespace="http://astroproject.org/BusinessProcesses/ASTROBookStore" use="literal" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         </input>
      </operation>

      <operation name="logout">
      <soap:operation soapAction="" style="rpc" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         <input>
        <soap:body encodingStyle="" namespace="http://astroproject.org/BusinessProcesses/ASTROBookStore" use="literal" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         </input>
      </operation>

      <operation name="checkout">
       <soap:operation soapAction="" style="rpc" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         <input>
        <soap:body encodingStyle="" namespace="http://astroproject.org/BusinessProcesses/ASTROBookStore" use="literal" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         </input>
      </operation>

      <operation name="requestSubmitted">
       <soap:operation soapAction="" style="rpc" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         <input>
        <soap:body encodingStyle="" namespace="http://astroproject.org/BusinessProcesses/ASTROBookStore" use="literal" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         </input>
      </operation>
   </binding>

   <service name="ASTROBookStore_PLTService">
      <port binding="tns:ASTROBookStore_PLTServiceBinding" name="ASTROBookStore_PLTServicePort">
       <soap:address location="http://localhost:8080/active-bpel/services/ASTROBookStore_PLTService" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
      </port>
   </service>
   
   <binding name="ASTROBookStore_CallbackPLTServiceBinding" type="tns:ASTROBookStore_CallbackPT">
      <soap:binding style="rpc" transport="http://schemas.xmlsoap.org/soap/http" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
      <operation name="searchResult">
       <soap:operation soapAction="" style="rpc" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         <input>
        <soap:body encodingStyle="" namespace="http://astroproject.org/BusinessProcesses/ASTROBookStore" use="literal" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         </input>
      </operation>

      <operation name="searchError">
       <soap:operation soapAction="" style="rpc" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         <input>
        <soap:body encodingStyle="" namespace="http://astroproject.org/BusinessProcesses/ASTROBookStore" use="literal" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         </input>
      </operation>

      <operation name="loginAck">
       <soap:operation soapAction="" style="rpc" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         <input>
        <soap:body encodingStyle="" namespace="http://astroproject.org/BusinessProcesses/ASTROBookStore" use="literal" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         </input>
      </operation>

      <operation name="loginError">
       <soap:operation soapAction="" style="rpc" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         <input>
        <soap:body encodingStyle="" namespace="http://astroproject.org/BusinessProcesses/ASTROBookStore" use="literal" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         </input>
      </operation>

      <operation name="addAck">
       <soap:operation soapAction="" style="rpc" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         <input>
        <soap:body encodingStyle="" namespace="http://astroproject.org/BusinessProcesses/ASTROBookStore" use="literal" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         </input>
      </operation>

      <operation name="addError">
       <soap:operation soapAction="" style="rpc" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         <input>
        <soap:body encodingStyle="" namespace="http://astroproject.org/BusinessProcesses/ASTROBookStore" use="literal" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         </input>
      </operation>

      <operation name="checkoutAck">
       <soap:operation soapAction="" style="rpc" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         <input>
        <soap:body encodingStyle="" namespace="http://astroproject.org/BusinessProcesses/ASTROBookStore" use="literal" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         </input>
      </operation>
    
      <operation name="checkoutError">
       <soap:operation soapAction="" style="rpc" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         <input>
        <soap:body encodingStyle="" namespace="http://astroproject.org/BusinessProcesses/ASTROBookStore" use="literal" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         </input>
      </operation>

      <operation name="sent">
       <soap:operation soapAction="" style="rpc" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         <input>
        <soap:body encodingStyle="" namespace="http://astroproject.org/BusinessProcesses/ASTROBookStore" use="literal" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         </input>
      </operation>

      <operation name="confirmError">
       <soap:operation soapAction="" style="rpc" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         <input>
        <soap:body encodingStyle="" namespace="http://astroproject.org/BusinessProcesses/ASTROBookStore" use="literal" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
         </input>
      </operation>
   </binding>

   <service name="ASTROBookStore_CallbackPLTService">
      <port binding="tns:ASTROBookStore_CallbackPLTServiceBinding" name="ASTROBookStore_CallbackPLTServicePort">
       <soap:address location="http://localhost:8080/active-bpel/services/ASTROBookStore_CallbackPLTService" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"/>
      </port>
   </service>

</definitions>
